Printago API
PATCH
/v1/folders/move
Move folders to a new parent
Request Body
Batch move request with folder IDs and new parent
BatchMoveFolderRequest
entitiesrequired
object
classworkIdsoptional
string[]
folderIdsoptional
string[]
partIdsoptional
string[]
skuIdsoptional
string[]
toFolderIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
Example Request
application/json
{
"entities": {
"folderIds": [
"string"
],
"partIds": [
"string"
],
"skuIds": [
"string"
],
"classworkIds": [
"string"
]
},
"toFolderId": "string"
}
Response Schema
BatchMoveFolderResponse
classworkIdsrequired
string[]
folderIdsrequired
string[]
partIdsrequired
string[]
skuIdsrequired
string[]
Example Response
200 OK — application/json
{
"folderIds": [
"string"
],
"partIds": [
"string"
],
"skuIds": [
"string"
],
"classworkIds": [
"string"
]
}